@model LogsViewModel
@{
    ViewBag.Title = "Logs";
}
<input type="text" id ="cal" name="daterange"/>
@using (Html.BeginForm("Index", "Logs"))
{
	@Html.Hidden("From")
	@Html.Hidden("To")
	@Html.Hidden("UserId","1")
	@Html.DropDownListFor(model => model.LogType, new SelectList(Enum.GetValues(typeof(LogType))))
	<input type="submit" value="Search"/>
}

<script>
window.onload = function () {
var chart = new CanvasJS.Chart("chartContainer", {
	animationEnabled: true,
	title: {
		text: "Logs"
	},
	axisY: {
	},
	axisX: {
		valueFormatString: "DD MMM YYYY",
		intervalType: "day",
		interval: 1
	},
	data: [{
		type: "line",
		xValueType: "dateTime",
		xValueFormatString: "DD MMM YYYY",
		dataPoints:  @Html.Raw(ViewBag.DataPoints)
	}]
});
chart.render();

 $(function() {
  $('input[name="daterange"]').daterangepicker({
    opens: 'left'
  }, function(start, end, label) {
	 document.getElementById("From").value = start.format('DD/MM/YYYY');
	 document.getElementById("To").value = end.format('DD/MM/YYYY');
  });
});
var today = new Date();
var oneWeekAgo = new Date();
oneWeekAgo.setDate(today.getDate() -6);
document.getElementById("From").value = oneWeekAgo.format('DD/MM/YYYY');
document.getElementById("To").value =  today.format('DD/MM/YYYY');
document.getElementById("cal").value = oneWeekAgo.format('MM/MM/YYYY') +' - ' + today.format('MM/DD/YYYY');
}
</script>

<div id="chartContainer" style="height: 370px; width: 100%;"></div>